diff a/test/hotspot/gtest/metaspace/test_metaspaceUtils.cpp b/test/hotspot/gtest/metaspace/test_metaspaceUtils.cpp
--- a/test/hotspot/gtest/metaspace/test_metaspaceUtils.cpp
+++ b/test/hotspot/gtest/metaspace/test_metaspaceUtils.cpp
@@ -26,20 +26,20 @@
 #include "precompiled.hpp"
 #include "memory/metaspace.hpp"
 #include "memory/metaspaceUtils.hpp"
 #include "unittest.hpp"
 
-TEST_VM(MetaspaceUtils, reserved) {
+TEST_VM(metaspace, MetaspaceUtils_reserved) {
   size_t reserved = MetaspaceUtils::reserved_bytes();
   EXPECT_GT(reserved, 0UL);
 
   size_t reserved_metadata = MetaspaceUtils::reserved_bytes(Metaspace::NonClassType);
   EXPECT_GT(reserved_metadata, 0UL);
   EXPECT_LE(reserved_metadata, reserved);
 }
 
-TEST_VM(MetaspaceUtils, reserved_compressed_class_pointers) {
+TEST_VM(metaspace, MetaspaceUtils_reserved_compressed_class_pointers) {
   if (!UseCompressedClassPointers) {
     return;
   }
   size_t reserved = MetaspaceUtils::reserved_bytes();
   EXPECT_GT(reserved, 0UL);
@@ -47,11 +47,11 @@
   size_t reserved_class = MetaspaceUtils::reserved_bytes(Metaspace::ClassType);
   EXPECT_GT(reserved_class, 0UL);
   EXPECT_LE(reserved_class, reserved);
 }
 
-TEST_VM(MetaspaceUtils, committed) {
+TEST_VM(metaspace, MetaspaceUtils_committed) {
   size_t committed = MetaspaceUtils::committed_bytes();
   EXPECT_GT(committed, 0UL);
 
   size_t reserved  = MetaspaceUtils::reserved_bytes();
   EXPECT_LE(committed, reserved);
@@ -59,11 +59,11 @@
   size_t committed_metadata = MetaspaceUtils::committed_bytes(Metaspace::NonClassType);
   EXPECT_GT(committed_metadata, 0UL);
   EXPECT_LE(committed_metadata, committed);
 }
 
-TEST_VM(MetaspaceUtils, committed_compressed_class_pointers) {
+TEST_VM(metaspace, MetaspaceUtils_committed_compressed_class_pointers) {
   if (!UseCompressedClassPointers) {
     return;
   }
   size_t committed = MetaspaceUtils::committed_bytes();
   EXPECT_GT(committed, 0UL);
@@ -71,11 +71,11 @@
   size_t committed_class = MetaspaceUtils::committed_bytes(Metaspace::ClassType);
   EXPECT_GT(committed_class, 0UL);
   EXPECT_LE(committed_class, committed);
 }
 
-TEST_VM(MetaspaceUtils, non_compressed_class_pointers) {
+TEST_VM(metaspace, MetaspaceUtils_non_compressed_class_pointers) {
   if (UseCompressedClassPointers) {
     return;
   }
 
   size_t committed_class = MetaspaceUtils::committed_bytes(Metaspace::ClassType);
@@ -97,11 +97,11 @@
   EXPECT_GT(stats.reserved(), 0UL);
   EXPECT_GT(stats.committed(), 0UL);
   EXPECT_GT(stats.used(), 0UL);
 }
 
-TEST_VM(MetaspaceUtils, get_statistics) {
+TEST_VM(MetaspaceUtils, MetaspaceUtils_get_statistics) {
   MetaspaceCombinedStats combined_stats = MetaspaceUtils::get_combined_statistics();
   check_metaspace_stats_are_not_null(combined_stats);
   check_metaspace_stats_are_consistent(combined_stats);
   check_metaspace_stats_are_not_null(combined_stats.non_class_space_stats());
   check_metaspace_stats_are_consistent(combined_stats.non_class_space_stats());
